# Boost.Scope

Boost.Scope provides a number of scope guard utilities and a `unique_resource` wrapper, similar to those described in
[C++ Extensions for Library Fundamentals, Version 3](https://github.com/cplusplus/fundamentals-ts/releases/tag/n4908),
Section 3.3 Scope guard support \[scopeguard\]. The implementation also provides a few non-standard extensions.

### Directories

* **doc** - QuickBook documentation sources
* **include** - Interface headers of Boost.Scope
* **test** - Boost.Scope unit tests

### More information

* Read the [documentation](https://boostorg.github.io/scope/libs/scope/doc/html/index.html).
* [Report bugs](https://github.com/boostorg/scope/issues/new). Be sure to mention Boost version, platform and compiler you're using. A small compilable code sample to reproduce the problem is always good as well.
* Submit your patches as [pull requests](https://github.com/boostorg/scope/compare) against **develop** branch. Note that by submitting patches you agree to license your modifications under the [Boost Software License, Version 1.0](https://www.boost.org/LICENSE_1_0.txt).

### License

Distributed under the [Boost Software License, Version 1.0](https://www.boost.org/LICENSE_1_0.txt).
